package com.kmall.admin.service.impl;

import com.kmall.admin.dao.ExportExceptionDataDao;
import com.kmall.admin.entity.ExportExceptionDataEntity;
import com.kmall.admin.service.ExportExceptionDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 数据导入异常数据记录Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-12-07 09:41:15
 */
@Service("exportExceptionDataService")
public class ExportExceptionDataServiceImpl implements ExportExceptionDataService {
    @Autowired
    private ExportExceptionDataDao exportExceptionDataDao;

    @Override
    public ExportExceptionDataEntity queryObject(Integer id) {
        return exportExceptionDataDao.queryObject(id);
    }

    @Override
    public List<ExportExceptionDataEntity> queryList(Map<String, Object> map) {
        return exportExceptionDataDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return exportExceptionDataDao.queryTotal(map);
    }

    @Override
    public int save(ExportExceptionDataEntity exportExceptionData) {
        return exportExceptionDataDao.save(exportExceptionData);
    }

    @Override
    public int update(ExportExceptionDataEntity exportExceptionData) {
        return exportExceptionDataDao.update(exportExceptionData);
    }

    @Override
    public int delete(Integer id) {
        return exportExceptionDataDao.delete(id);
    }

    @Override
    public int deleteBatch(Integer[]ids) {
        return exportExceptionDataDao.deleteBatch(ids);
    }
}
